package org.acme.book.ws;

import javax.annotation.PostConstruct;
import javax.annotation.Resource;
import javax.jws.WebService;
import javax.xml.ws.WebServiceContext;

import org.acme.book.api.BookingRequest;
import org.acme.book.api.BookingResponse;
import org.acme.book.impl.BookServiceImpl;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.context.support.SpringBeanAutowiringSupport;

@WebService(endpointInterface = "org.acme.book.ws.BookService")
public class BookWebService implements BookService {

	@Resource
	private WebServiceContext context;

	@Autowired
	private BookServiceImpl bookService;

	@PostConstruct
	public void init() {
		SpringBeanAutowiringSupport.processInjectionBasedOnCurrentContext(this);
	}

	@Override
	public BookingResponse book(BookingRequest pkg) {
		return bookService.book(pkg);
	}
}
